%define		_class		Text
%define		_subclass	Diff
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Engine for performing and rendering text diffs
Name:		php-pear-%{_pearname}
Version:	1.1.1
Release:	%mkrel 1
License:	PHP License
Group:		Development/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/package/Text_Diff/
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
This package provides a text-based diff engine and renderers for
multiple diff output formats. 

In PEAR status of this package is: %{_status}.

%prep

%setup -q -c

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Renderer
install -d -m 755 %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Engine

install %{_pearname}-%{version}/*.php %{buildroot}%{_datadir}/pear/%{_class}
install -m 644 %{_pearname}-%{version}/%{_subclass}/*.php \
    %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}
install -m 644 %{_pearname}-%{version}/%{_subclass}/Renderer/*.php \
    %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Renderer
install -m 644 %{_pearname}-%{version}/%{_subclass}/Engine/*.php \
    %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Engine

install -d -m 755 %{buildroot}%{_datadir}/pear/packages
install -m0644 package.xml \
    %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear uninstall --nodeps -r %{_pearname}
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/{docs/*,tests/}
%{_datadir}/pear/%{_class}/*.php
%{_datadir}/pear/%{_class}/%{_subclass}
%{_datadir}/pear/packages/%{_pearname}.xml


%changelog
* Sun Jul 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.1-1mdv2010.0
+ Revision: 400323
- update to new version 1.1.1

* Sun Jul 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-3mdv2010.0
+ Revision: 397468
- shipp missing classes
- don't duplicate spec-helper job

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2009.1
+ Revision: 321902
- rebuild

* Mon Oct 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 293183
- update to new version 1.1.0

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2009.0
+ Revision: 272597
- 1.0.0

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.1-4mdv2009.0
+ Revision: 224882
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-3mdv2008.1
+ Revision: 178538
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-2mdv2008.0
+ Revision: 90118
- rebuild


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-1mdv2007.0
+ Revision: 82749
- Import php-pear-Text_Diff

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-1mdk
- 0.2.1
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-1mdk
- initial Mandriva package (PLD import)

